ath5k system freeze induced by Chrome bookmark sync

Bug #546871 reported by Steven McCoy on 2010-03-25
110
This bug affects 20 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by José Antonio

Bug Description

Binary package hint: xserver-xorg-video-intel

Clean install of Beta 1 of Lucid, witness complete system freeze after browsing in Chrome for a few seconds. System does not freeze when using Firefox or gnome-terminal. A IBM Thinkpad R60i with 1GB system memory, Xorg picks 256MB VideoRam.

Description: Ubuntu lucid (development branch)
Release: 10.04

ProblemType: Bug
Architecture: i386
Date: Thu Mar 25 20:51:23 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: LENOVO 0657LNB
Package: xserver-xorg-video-intel 2:2.9.1-1ubuntu17
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=5286b6f4-e698-4a4d-88ed-852161a9a3b2 ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_HK.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
SourcePackage: xserver-xorg-video-intel
Uname: Linux 2.6.32-17-generic i686
dmi.bios.date: 06/14/2007
dmi.bios.vendor: LENOVO
dmi.bios.version: 7EETC6WW (2.16 )
dmi.board.name: 0657LNB
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7EETC6WW(2.16):bd06/14/2007:svnLENOVO:pn0657LNB:pvrThinkPadR60e/R60i:rvnLENOVO:rn0657LNB:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 0657LNB
dmi.product.version: ThinkPad R60e/R60i
dmi.sys.vendor: LENOVO
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-17-generic

[lspci]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)
     Subsystem: Lenovo Device [17aa:201a]

Steven McCoy (fnjordy) wrote :
Geir Ove Myhr (gomyhr) on 2010-03-26
summary: - [i915] System freeze induced by Chrome on 945GM
+ [i945gm] System freeze induced by Chrome
tags: added: 945gm freeze

In 2.6.32-18 display starts to become unstable and flicker in reaction to on screen events.

In 2.6.32-19 the instability no longer occurs but the lockup induced by Chrome still persists.

Geir Ove Myhr (gomyhr) wrote :

On https://bugs.launchpad.net/ubuntu/+source/linux/+bug/535640/comments/22 :

This does not fix the 945GM lockup as per bug 546871, it has removed the display instability that 2.6.32-18 introduced.

Okay, unduplicating this one.

Bryce Harrington (bryce) on 2010-04-05
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2010-04-06
description: updated
Bryce Harrington (bryce) wrote :

Could you attach your /var/log/messages from after reproducing this? If it shows errors related to DMAR it might be this bug: https://bugzilla.redhat.com/show_bug.cgi?id=538163

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Steven McCoy (fnjordy) wrote :

I truncated the log and restart rsyslogd, ran Chrome for a short while before it locked. Hard reboot as shown in the log between 20:45:26 and 20:54:21.

Chris Halse Rogers (raof) wrote :

Ok. There's not a lot to go on in there. Could you please try booting with the “drm.debug=0x06” kernel option - just add this after “quiet splash”.

That will make the kernel module much more verbose about what it's doing. Hopefully that will give some indication as to what it's doing when everything seizes up, and we can send this upstream.

Steven McCoy (fnjordy) wrote :

No difference.

$ cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-2.6.32-19-generic root=UUID=5286b6f4-e698-4a4d-88ed-852161a9a3b2 ro quiet splash drm.debug=0x06

Steven McCoy (fnjordy) wrote :

Ok, noticed the extra logging in kern.log,

<-- snip thousands of lines -->
Apr 9 19:15:12 yuki kernel: [ 684.673352] [drm:i915_add_request], 103013
Apr 9 19:15<-- crash -->

Chris Halse Rogers (raof) wrote :

Could you please attach the log? Just the last line doesn't give us enough context to see what might be wrong.

Steven McCoy (fnjordy) wrote :

It doesn't take a lot of imagination to extrapolate what the preceding lines where, run this in your terminal if you can't:

perl -e 'for ($i = 0; $i < 103013; $i++) { print "[drm:i915_add_request], $i\n"; }'

It's not enough context because the DRM logging is not sufficient for this problem.

Steven McCoy (fnjordy) wrote :

It still might be something completely different to X11, the ath5k module seems to be crashing a lot and building up reports in /var/crash.

Steven McCoy (fnjordy) wrote :

Bingo.

Disable wireless, remove ath5k and use Ethernet cable and it works great for lot longer than normal. Re-enable wireless and it crashes in 2 seconds flat.

Sorry for wasting the X11 peoples time, need to reassign to the Linux Atheros driver team.

[lspci]
03:00.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)
 Subsystem: IBM Device 058a
 Flags: bus master, fast devsel, latency 0, IRQ 17
 Memory at edf00000 (64-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>
 Kernel driver in use: ath5k
 Kernel modules: ath5k

Robert Hooker (sarvatt) on 2010-04-12
summary: - [i945gm] System freeze induced by Chrome
+ System freeze induced by Chrome while using ath5k
affects: xserver-xorg-video-intel (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for sorting out that it was the wireless driver, Steven.

Steven McCoy (fnjordy) wrote :

Reproduced with latest kernel 2.6.32-20-generic.

Steven McCoy (fnjordy) wrote :

Also affects kernel 2.6.32-21-generic.

Last captured crash trace was April 12th, every subsequent test has been silent. Attached crash trace.

Andrew Cowie (andrew-cowie) wrote :

I am experiencing the same issue (system freeze while running google chrome) on Thinkpad X60s, Ubuntu 10.04 - I'm also running ath5k, lspci shows an "03:00.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)". Is there anything I can do to help?

Andrew Cowie (andrew-cowie) wrote :

After removing ath5k using:
sudo modprobe -r ath5k
Chrome runs without system freezes.

Steven McCoy (fnjordy) wrote :

Reproduced with latest kernel 2.6.32-22-generic, no crash report.

Same here. I have a Macbook 1,1 with lucyd and Chrome freeze my system.

This is my message log:

May 3 16:11:06 macbooksito kernel: [68721.833078] WARNING: at /build/buildd/linux-2.6.32/drivers/net/wireless/ath/ath5k/base.c:1142 ath5k_tasklet_rx+0x53b/0x5a0 [ath5k]()
May 3 16:11:06 macbooksito kernel: [68721.833078] Hardware name: MacBook1,1
May 3 16:11:06 macbooksito kernel: [68721.833078] invalid hw_rix: 1b
May 3 16:11:06 macbooksito kernel: [68721.833078] Modules linked in: hfsplus nls_iso8859_1 nls_cp437 vfat fat usb_storage ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_c$
May 3 16:11:06 macbooksito kernel: [68721.833078] Pid: 0, comm: swapper Tainted: G W 2.6.32-21-generic #32-Ubuntu
May 3 16:11:06 macbooksito kernel: [68721.833078] Call Trace:
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c014c3d2>] warn_slowpath_common+0x72/0xa0
May 3 16:11:06 macbooksito kernel: [68721.833078] [<f86af47b>] ? ath5k_tasklet_rx+0x53b/0x5a0 [ath5k]
May 3 16:11:06 macbooksito kernel: [68721.833078] [<f86af47b>] ? ath5k_tasklet_rx+0x53b/0x5a0 [ath5k]
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c014c44b>] warn_slowpath_fmt+0x2b/0x30
May 3 16:11:06 macbooksito kernel: [68721.833078] [<f86af47b>] ath5k_tasklet_rx+0x53b/0x5a0 [ath5k]
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c0151a77>] tasklet_action+0xa7/0xb0
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c0153068>] __do_softirq+0x98/0x1b0
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c012293b>] ? ack_apic_level+0x6b/0x170
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c016d7de>] ? sched_clock_tick+0x5e/0xa0
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c01531c5>] do_softirq+0x45/0x50
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c0153315>] irq_exit+0x65/0x70
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c058fa25>] do_IRQ+0x55/0xc0
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c016d4f5>] ? sched_clock_local+0xa5/0x180
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c0103a30>] common_interrupt+0x30/0x40
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c016007b>] ? sys_setrlimit+0xcb/0x120
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c039ccad>] ? acpi_idle_enter_bm+0x26b/0x29a
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c04a076a>] cpuidle_idle_call+0x7a/0x100
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c01021d4>] cpu_idle+0x94/0xd0
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c0579168>] rest_init+0x58/0x60
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c07a38ec>] start_kernel+0x351/0x357
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c07a33c7>] ? unknown_bootoption+0x0/0x19e
May 3 16:11:06 macbooksito kernel: [68721.833078] [<c07a30aa>] i386_start_kernel+0xaa/0xb1
May 3 16:11:06 macbooksito kernel: [68721.833078] ---[ end trace 6be21c0a12eef363 ]---

mgiammarco (mgiammarco) wrote :

I suggest to stop saying that chrome hangs ubuntu when it is the WIRELESS driver that is broken.

mgiammarco (mgiammarco) wrote :

In my r50p it hangs and I use firefox. But I have an ath5k based chipset.

mgiammarco (mgiammarco) wrote :

It hangs also my home workstations that has no wifi but radeon chipset too.

Some more details:

1.) Chrome induce a crash on a thinkpad R51 (ath5k) lucid 32-bit, but not on a sony vaio VGN TZ31 lucid 64-bit.

2.) Chrome is not inducing a crash, as long as I
     (a.) don't sync the bookmarks, etc. To try this
     remove /home/username/.config/Google and /home/username/.config/google-chrome
     launch chrome
     set up chrome, but do _not_ sync your bookmarks, etc (Set Up Sync...)

     (b.) prevent ubuntu to switch into the screensaver mode /locked screen with chrome running in the back.

related links:
http://ubuntuforums.org/showthread.php?t=1470623
http://www.google.com/support/forum/p/Chrome/thread?tid=7493a9fc196ea8be&hl=en

Andrew Cowie (andrew-cowie) wrote :

Turning off sync bookmarks in Chrome also cures the system freezes I was experiencing. I am now running Chrome successfully - n.b. I haven't had any problems with Firefox. Thanks Jan.

Christian Ide (cide) wrote :

Same here. Since I turned off bookmark sync the system doesn't freeze any more.

Chrome 5.0.375.38 beta in Ubuntu 10.04 running on Acer Aspire 5570z with Atheros AR2413 and ath5k module.

John Woods (bamboowarrior) wrote :

I have the exact same problem, but am not using Atheros wireless:

02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8055 PCI-E Gigabit Ethernet Controller (rev 12)
 Subsystem: Fujitsu Limited. Device 139a
 Flags: bus master, fast devsel, latency 0, IRQ 27
 Memory at f0100000 (64-bit, non-prefetchable) [size=16K]
 I/O ports at 2000 [size=256]
 [virtual] Expansion ROM at 88000000 [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel driver in use: sky2
 Kernel modules: sky2

I will try with bookmark sync disabled.

John Woods (bamboowarrior) wrote :

My apologies, that was foolish. I am in fact using Atheros.

05:00.0 Ethernet controller: Atheros Communications Inc. AR5001 Wireless Network Adapter (rev 01)
 Subsystem: Fujitsu Limited. Device 139c
 Flags: bus master, fast devsel, latency 0, IRQ 18
 Memory at 88600000 (64-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>
 Kernel driver in use: ath5k
 Kernel modules: ath5k

Steven McCoy (fnjordy) on 2010-05-15
summary: - System freeze induced by Chrome while using ath5k
+ ath5k system freeze induced by Chrome bookmark sync
mgiammarco (mgiammarco) wrote :

I have solved all my crashes upgrading kernel to 2.6.34rc7.

On a Thinkpad t42p with AR5212 hardware and ath5k kernel module, I was having crashes entirely without chrome, which seems to indicate that there is something fundamentally wrong with the stock lucid ath5k module. The problem was less frequent when using only firefox (or no browser) than when using chrome/chromium (maybe libaio is exacerbating?). I tried the upstream kernel to no avail. What finally seems to have worked out for me was installing the 'linux-backports-modules-wireless' package from lucid-updates. The wifi has, at least, stabilized enough to stop randomly locking the system (even when using chrome or chromium). Turning on bookmark sync does still lock the system, so it seems like there is more than one thing amiss in this stack.

Asrivas (asrivas) wrote :

I was having random and frequent freezes/crashes with 2.6.32-22-generic lucid and network manager on my t41p with ar5212 chipset.
I removed network manager and installed wicd. That seems to have got rid of freezes crashes. But then it would connect fine at home with a wap2 ap but not at a friends place with a normal non encrypted ap. It would just not see any wireless network.

Going to command line and doing the following as root fixed it.
# to view available wireless
iwlist wlan0 scan
# to connect to a an ap ssid1
iwconfig wlan0 essid ssid1
# to get ip address
dhclient3 wlan0 &

Matthew Horr (matthorr) wrote :

I am seeing the same on my MacBook Pro 1,1, Ubuntu 10.04 with ath5k wireless driver (kernel 2.6.32.33.23). I only get crashes if bookmark synch is enabled in Crome (5.0.342.7 beta).

GonzO (gonzo) wrote :

I, too, seem to be solid as a rock using latest mainline kernel (2.6.35-19-generic #25~lucid1-Ubuntu SMP as of the time of this writing).

I wonder exactly what is wrong with 2.6.32's wifi stack - it clearly isn't JUST the ath5k module, but the overall interaction between

- ath5k
- the rest of the TCP/IP networking stack, and
- NetworkManager (I've seen reports of fixing this problem by using WicD instead)

Can't say I'll be thinking about it beyond today, as this new kernel seems to cure my ills (and tell me that Maverick will be a good upgrade. ;-))

GonzO (gonzo) wrote :

I TAKE IT ALL BACK.

The new maverick kernel did NOT fix the problem. It just took a very long time to replicate.

The only fix, so far, is to use the MadWiFi driver, compiled from source, every time there is a kernel upgrade, and the madwifi driver is kind of bad... drops connections a lot.

Help?

Jens Mayer (mail-jensmayer) wrote :

@Gonzo - As you wrote of a "rock solid" 2.6.35-19-generic kernel in this context, I switched from my recent 2.6.35-19-generic-pae kernel to your non-PAE version, since I don't need PAE anyway. Both kernel taken from the Maverick backports.

Observation:
- 2.6.35-19-generic-pae crashes suddenly with Chrome running, "blinking caps lock syndrome".
- 2.6.35-19-generic took longer to crash with Chrome running, freezes hard, no "caps lock syndrome".

Both versions run stable when not using Chrome.

The machine in question is an IBM Thinkpad T41p with the ath5k driver loaded for the Atheros WiFi.

GonzO (gonzo) wrote :

@Jens: It took a very long time, but even with that kernel I got the black screen, blinking-caps-lock freeze on my T42p.

It SEEMS to only happen on this kernel when I leave the machine on long enough for the screensaver to kick in - i.e., left it on overnight, came to it in the morning all frozen.

The _only thing_ that keeps this machine stable is the MadWiFi (ath_pci) driver. This driver works just fine with every network I try it on, but it is a pain to have to recompile/re-insert the mod every time there is a kernel upgrade. I've not once crashed when using that; I was trying the new kernel out just to see if there was an easier way.

GonzO (gonzo) wrote :

Also of importance: while MadWiFi is stable, it does NOT do well with suspend/resume. Device interface comes back online, but doesn't return any results from a scan. Aggravating. :-(

Pekka Pessi (ppessi) wrote :
Download full text (4.3 KiB)

The freeze happens on my Thinkpad X301 and on my Dell desktop when Chrome opens a new window or tab.

Here is lspci from Dell:

~ $ lspci
00:00.0 Host bridge: Intel Corporation 5520/5500/X58 I/O Hub to ESI Port (rev 13)
00:01.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 1 (rev 13)
00:03.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 3 (rev 13)
00:07.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 7 (rev 13)
00:14.0 PIC: Intel Corporation 5520/5500/X58 I/O Hub System Management Registers (rev 13)
00:14.1 PIC: Intel Corporation 5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers (rev 13)
00:14.2 PIC: Intel Corporation 5520/5500/X58 I/O Hub Control Status and RAS Registers (rev 13)
00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 1
00:1c.5 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 6
00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 RAID bus controller: Intel Corporation 82801 SATA RAID Controller
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
01:00.0 Audio device: Creative Labs X-Fi Titanium series [EMU20k2] (rev 03)
02:00.0 VGA compatible controller: nVidia Corporation G96 [Quadro FX 580] (rev a1)
05:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5761 Gigabit Ethernet PCIe (rev 10)
06:05.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 70)
~ $ uname -a
Linux agni 2.6.32-24-generic-pae #42-Ubuntu SMP Fri Aug 20 15:37:22 UTC 2010 i686 GNU/Linux

And here from X301:

~ $ lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
...

Read more...

Pekka Pessi (ppessi) wrote :

Freeze is induced by Chromium, too (6.0.472.53~r57). I got as far as closing the settings import window.

JE (mothbox) wrote :

my random system freezes (independent from browser use) got fixed when I upgraded my wireless drivers to the
linux-backports-modules-compat-wireless-2.6.35-lucid-generic package.
I also have Atheros hardware (ath5k), and not a single freeze since the upgrade.
Kernel is 2.6.32-25-generic.

José Antonio (jsilva-jcode) wrote :

Thanks @JE ! that solves my problem. Now I can get rid of the Ethernet cable crossing all my apartment. =)

Andrew Cowie (andrew-cowie) wrote :

I now have regular freezes whenever the wireless is using the internet - with or without chrome. I'd like to upgrade the wireless drivers - but I'm stuck - I can't find this package. Where can I get it? I've googled it, searched launchpad and tried the lucid-backports site.

José Antonio (jsilva-jcode) wrote :

Andrew, I'm just upgrade the system and then search the package in the console with:

sudo aptitude update
sudo aptitude dist-upgrade
sudo aptitude search linux-backports-modules-compat-wireless

then I selected the version that match my kerenel (2.6.32.24-pae).

And that's it. If you don't see the package review you sources in the apt config.

Hope that helps.

Toño

JE (mothbox) wrote :

Andrew, you may have to activate the backports packages in the synaptic settings. These are disabled by default.

Andrew Cowie (andrew-cowie) wrote :

Hi Toño, JE, thanks for the responses. I tried installing the following packages before I saw Toño's comment:
sudo apt-get install linux-backports-modules-wireless-lucid-generic-pae
sudo apt-get install linux-backports-modules-wireless-lucid-generic

This seemed to work better, but with heavy bittorrent usage plus running a lot of traffic through a soap client it hung again.

So I tried
sudo apt-get install linux-backports-modules-compat-wireless-2.6.35-2.6.32-25-generic

I'm pretty sure it's hung at least once since then. I've enabled proposed and backports and will try the exact instructions above.

Thanks again, Andy

Andrew Cowie (andrew-cowie) wrote :

Just to clarify - since I upgraded the drivers, I have found that the google bookmark sync doesn't cause the hang (which can be positively identified by caps lock light not showing) - this is a great improvement over the situation when this bug report was opened.

However I am suspicious that heavy network usage (e.g. bittorrent) is still causing these hangs say once every 24-48 hours. I've upgraded my drivers - here's the output of sudo lshw -C network

  *-network
       description: Wireless interface
       product: AR5212 802.11abg NIC
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: 01
       serial: 00:16:cf:5c:30:f7
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath5k driverversion=2.6.32-25-generic-pae firmware=N/A ip=192.168.0.4 latency=0 link=yes multicast=yes wireless=IEEE 802.11abg
       resources: irq:17 memory:edf00000-edf0ffff

So I will continue with this config and let you know if I see another crash.

Andrew Cowie (andrew-cowie) wrote :

Hi, I had one freeze (with inoperative caps lock) with the new setup, when the computer was using bittorrent and experiencing very high network activity. I'd say since I upgraded to the backports distributions I have experienced one freeze for every 2-3 gb of data moved. However the rate of freezing is far lower than it was in April/May - I think the new wireless drivers are markedly better, and I can run chrome bookmark sync without freezes now. Thanks for the help.

ErikShreve (eshreve) wrote :

Has anyone here tried the backport suggested in

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/426130

As a fix for this issue?

Steven McCoy, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? if so, could you please capture the oops following https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Capturing_OOPs ? As well, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results. in advance.

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.